Bug 351013

Summary: Build script incorrectly detects Taglib version 1.10.0 as lower than 1.7
Product: amarok Reporter: Omar Plummer <omarplummer>
Component: generalAssignee: Amarok Developers <amarok-bugs-dist>
Status: RESOLVED FIXED    
Severity: normal CC: omarplummer, trufanovan
Priority: NOR    
Version: 2.8-git   
Target Milestone: 2.9   
Platform: Compiled Sources   
OS: Linux   
Latest Commit: Version Fixed In:

Description Omar Plummer 2015-08-05 20:13:13 UTC
Build fails with the following error:

-- TagLib version too old: version searched :1.7, found 1.10.0

The following change allows the build to proceed:


diff --git a/cmake/modules/FindTaglib.cmake b/cmake/modules/FindTaglib.cmake
index 76b83ac..0c0cd4b 100644
--- a/cmake/modules/FindTaglib.cmake
+++ b/cmake/modules/FindTaglib.cmake
@@ -29,10 +29,10 @@ if(TAGLIBCONFIG_EXECUTABLE)
 
   exec_program(${TAGLIBCONFIG_EXECUTABLE} ARGS --version RETURN_VALUE _return_VALUE OUTPUT_VARIABLE TAGLIB_VERSION)
 
-  if(TAGLIB_VERSION STRLESS "${TAGLIB_MIN_VERSION}")
+  if(TAGLIB_VERSION VERSION_LESS "${TAGLIB_MIN_VERSION}")
      message(STATUS "TagLib version too old: version searched :${TAGLIB_MIN_VERSION}, found ${TAGLIB_VERSION}")
      set(TAGLIB_FOUND FALSE)
-  else(TAGLIB_VERSION STRLESS "${TAGLIB_MIN_VERSION}")
+  else(TAGLIB_VERSION VERSION_LESS "${TAGLIB_MIN_VERSION}")
 
      exec_program(${TAGLIBCONFIG_EXECUTABLE} ARGS --libs RETURN_VALUE _return_VALUE OUTPUT_VARIABLE TAGLIB_LIBRARIES)
Comment 1 Myriam Schweingruber 2015-08-05 22:21:42 UTC
Could you please submit this to reviewboard.kde.org and subscribe the group Amarok to it? Thank you.
Comment 2 Omar Plummer 2015-08-06 00:57:20 UTC
Done
Comment 3 Omar Plummer 2015-08-06 01:35:41 UTC
I should probably reference the review request here: https://git.reviewboard.kde.org/r/124639/
Comment 4 Myriam Schweingruber 2015-08-06 01:38:16 UTC
Thank you. Do you have commit rights on KDE repos?
Comment 5 Omar Plummer 2015-08-06 02:57:10 UTC
You're welcome.

No, I do not have commit rights.
Comment 6 Konrad Zemek 2015-08-06 22:28:32 UTC
Git commit fec8817c530ce42b6485fdabff6051784b8d9904 by Konrad Zemek, on behalf of Omar Plummer.
Committed on 06/08/2015 at 22:24.
Pushed by kzemek into branch 'master'.

Fix TagLib version check.

The version check compared version strings lexicographically, so "1.7"
(the min version) compared as greater than "1.10.0".
REVIEW: 124639

M  +3    -3    cmake/modules/FindTaglib.cmake

http://commits.kde.org/amarok/fec8817c530ce42b6485fdabff6051784b8d9904
Comment 7 Rex Dieter 2016-09-29 15:43:20 UTC
*** Bug 368304 has been marked as a duplicate of this bug. ***